Bug 622946 - Review Request: rubygem-bcrypt-ruby - Wrapper Around bcrypt() password hashing algorithm
Review Request: rubygem-bcrypt-ruby - Wrapper Around bcrypt() password hashin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 621015
  Show dependency treegraph
 
Reported: 2010-08-10 16:59 EDT by Mo Morsi
Modified: 2010-09-09 00:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-bcrypt-ruby-2.1.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 13:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2010-08-10 16:59:53 EDT
Spec URL: http://mo.morsi.org/files/gems/rubygem-bcrypt-ruby.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-bcrypt-ruby-2.1.2-1.fc13.src.rpm

Description: 
bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD project for hashing passwords. bcrypt-ruby provides a simple, humane wrapper for safely handling passwords.

$ rpmlint \
  rpmbuild/SRPMS/rubygem-bcrypt-ruby-2.1.2-1.fc13.src.rpm \
  rpmbuild/RPMS/x86_64/rubygem-bcrypt-ruby-2.1.2-1.fc13.x86_64.rpm\
  rpmbuild/RPMS/x86_64/rubygem-bcrypt-ruby-debuginfo-2.1.2-1.fc13.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji build:    http://koji.fedoraproject.org/koji/taskinfo?taskID=2392161
Comment 1 Mamoru TASAKA 2010-08-12 15:46:51 EDT
Some notes:

* %define -> %global
  - Now we prefer to use %global instead of %define:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* License
  - Almost all files are under 4 clause BSD, except that ./ext/jruby/bcrypt_jruby/BCrypt.java
    is under MIT.
    The license tag should be "BSD with advertising and MIT".

* BuildRoot
  - BuildRoot tag is no longer needed on Fedora and EPEL6:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* Make build log more verbose
  - Please add "-V" option to "gem install" so that we can check if Fedora specific
    compilation flags are correctly honored from build.log.

* Arch dependent files / C source codes / etc handling
  - .c / .h source codes, Makefile, extconf.rb are all needed for creating .so file and
    should not be needed on runtime.
      - i.e. %geminstdir/ext/mri should be removed.
  - .o files are needed for creating .so file and should not be installed in binary
    rpm (i.e. please remove %ruby_sitearch/%gemname/*.o ) (also see below)
  - %{geminstdir}/lib/*.so symlink should not be needed (putting "real" .so files
    under %ruby_sitearch should be enough) (also see below)
  - %{geminstdir}/lib/bcrypt.rb is really needed and not %doc.
  - bcrypt_ext.so must be under %ruby_sitearch, not under %ruby_sitearch/%gemname
    (lib/bcrypt.so reads:
-------------------------------------------------------------------
     6  else
     7    $LOAD_PATH.unshift(File.expand_path(File.join(File.dirname(__FILE__), "..", "ext", "mri")))
     8    require "bcrypt_ext"
     9    require "openssl"
    10  end
-------------------------------------------------------------------
    So bcrypt_ext.so must be under ruby default search path (i.e ruby -e 'puts $:').
Comment 2 Mamoru TASAKA 2010-08-20 12:05:16 EDT
ping?
Comment 3 Mo Morsi 2010-08-24 14:37:17 EDT
Once again apologize for the delay, all feedback has been integrated into the spec

New Spec / SRPM:

Spec URL: http://mo.morsi.org/files/gems/rubygem-bcrypt-ruby.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-bcrypt-ruby-2.1.2-2.fc13.src.rpm
Comment 4 Mamoru TASAKA 2010-08-25 13:53:41 EDT
Okay.

---------------------------------------------------------------
    This package (rubygem-bcrypt-ruby) is APPROVED by mtasaka
---------------------------------------------------------------
Comment 5 Mamoru TASAKA 2010-08-25 14:14:43 EDT
Note that I usually suggest to create -doc subpackage, however
it is up to you.
Comment 6 Mo Morsi 2010-08-26 00:17:24 EDT
New Package SCM Request
=======================
Package Name: rubygem-bcrypt-ruby
Short Description: bcrypt-ruby provides a simple, humane wrapper to bcrypt()
for safely handling passwords
Owners: mmorsi
Branches: f13 f14
InitialCC:
Comment 7 Kevin Fenzi 2010-08-27 15:14:45 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2010-08-30 22:43:50 EDT
rubygem-bcrypt-ruby-2.1.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-bcrypt-ruby-2.1.2-2.fc14
Comment 9 Fedora Update System 2010-08-30 22:44:30 EDT
rubygem-bcrypt-ruby-2.1.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-bcrypt-ruby-2.1.2-2.fc13
Comment 10 Fedora Update System 2010-08-31 02:25:57 EDT
rubygem-bcrypt-ruby-2.1.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-bcrypt-ruby'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-bcrypt-ruby-2.1.2-2.fc13
Comment 11 Mamoru TASAKA 2010-09-01 13:42:50 EDT
Closing.
Comment 12 Fedora Update System 2010-09-08 21:19:19 EDT
rubygem-bcrypt-ruby-2.1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-09-09 00:33:50 EDT
rubygem-bcrypt-ruby-2.1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.